Package org.eclipse.mat.util

## Class RegistryReader<D>

- java.lang.Object
- - org.eclipse.mat.util.RegistryReader<D>

All Implemented Interfaces:
  `IExtensionChangeHandler`

Direct Known Subclasses:
  `CollectionExtractorProviderRegistry`, `EditorPaneRegistry`, `EnhancerRegistry`, `HeapDumpProviderRegistry`, `ParserRegistry`, `QueryRegistry`, `RendererRegistry`, `SpecFactory`, `SubjectRegistry`, `ThreadDetailResolverRegistry`, `TroubleTicketResolverRegistry`

    public abstract class RegistryReader<D>
    extends Object
    implements IExtensionChangeHandler

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addExtension​(IExtensionTracker tracker, IExtension extension)`
`Collection<D>` `delegates()`
`void` `removeExtension​(IExtension extension, Object[] objects)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addExtension

    public final void addExtension​(IExtensionTracker tracker,
                                   IExtension extension)

Specified by:
  `addExtension` in interface `IExtensionChangeHandler`

#### removeExtension

    public final void removeExtension​(IExtension extension,
                                      Object[] objects)

Specified by:
  `removeExtension` in interface `IExtensionChangeHandler`

#### delegates

    public Collection<D> delegates()